#change-language-wrapper {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	right: 2%;
}

#change-language {
	position: relative;
	width: fit-content;
	height: fit-content;
	background-color: var(--darkgray);
	padding: 4px 5px;
	border-radius: 32px;
	overflow: hidden;
	cursor: pointer;
}

#flags {
	width: fit-content;
	height: fit-content;
	display: flex;
	flex-direction: row;
	gap: 10px;
}

/* Flags */
#flags img {
	width: 32px;
	z-index: 99;
}

#slider {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	border-radius: 32px;
	width: 50%;
	background-color: var(--mediumgray);
	z-index: 98;
}

#deal {
	position: fixed;
	left: 0;
	right: 0;
	background-color: var(--purple);
	color: white;
	text-align: center;
	font-weight: bold;
	padding: 5px;
	z-index: 9999;
}

#discount-info {
	text-align: center;
	padding: 6px 0;
	color: white;
	background-color: var(--accent);
	z-index: 1;
}

#nav {
	background-color: #050505;
	position: fixed;
	left: 0;
	right: 0;
	padding: 0 12%;
	display: flex;
	align-items: center;
	justify-content: space-between;
	z-index: 100;
}

#nav-img {
  	padding: 4px 8px;
	width: 180px;
	height: 26px;
	margin-left: 8px;
	display: block;
	background-image: url('../img/logo-nooutline.png');
	background-size: contain;
	background-repeat: no-repeat;
}

#nav #list {
	display: flex;
	justify-content: end;
	align-items: center;
	gap: 30px;
	list-style: none;
}

#nav #list .dropdown {
	width: 150px;
	display: none;
	background-color: white;
	position: absolute;
	z-index: 999;
	padding: 4px;
	padding-left: 0;
}

#nav #list .dropdown li {
	list-style: none;
}

#nav #list .dropdown li a {
	display: block;
	color: black;
	padding: 6px 12px 6px 8px;
}

#nav #list li:hover ul.dropdown {
	display: block;
}

#nav #list li a {
	border: 1px solid transparent;
	color: white;
	text-decoration: none;
	text-transform: uppercase;
	letter-spacing: 0.05rem;
	font-size: 16px;
  	font-weight: 400;
	padding: 6px 12px;
	transition: border-color 0.15s ease;
}

#nav #list li:not(:nth-last-child(-n+3)) a:hover {
	border-color: white;
}

#nav #list #disabled {
	color: rgb(80, 80, 80);
	cursor: default;
}

.nav-toggle, #cart-button-area {
	display: none;
}

#nav #list img {
	width: 24px;
  	display: block;
  	padding: 8px;
}

#cart-btn-wrapper {
	position: relative;
	cursor: pointer;
}

#cart-btn-wrapper span {
	position: absolute;
	top: 0px;
	right: 0px;
	color: white;
	background: var(--warning-gradient);
	font-size: 12px;
	border-radius: 10px;
	padding: 0 7px 2px 6px;
}

#marquee-container {
	position: fixed;
	top: 80px;
	left: 0;
	width: 100%;
	height: 20px;
	background: var(--nav-gradient);
	padding: 6px 0;
	color: white;
	font-weight: bold;
	overflow: hidden;
}

#marquee {
	display: inline-flex;
	white-space: nowrap;
	animation: scroll 60s linear infinite;
}

#marquee span {
	margin-right: 100px;
}

#stat-banner {
	position: fixed;
	top: calc(80px + 20px + 12px);
	left: 0;
	right: 0;
	height: 20px;
	padding: 8px 0;
	background: rgb(0 0 0 / 0.6);
	backdrop-filter: blur(4px);
	color: white;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	gap: 40px;
}

#stat-banner .divider {
	color: var(--gray);
}

@keyframes scroll {
	from {
		transform: translateX(0);
	} to {
		transform: translateX(-50%);
	}
}

@media screen and (max-width: 1000px) {
	#marquee-container {
		position: absolute;
		transform: translateY(calc(-100% + 13px));
		padding: 4px 5%;
	}

	#stat-banner {
		display: none;
	}

	#nav {
		position: relative;
		justify-content: center;
		padding: 20px 10%;
	}

	#container, #content, #page-title {
		margin-top: 50px !important;
	}

	#nav #list {
		z-index: 5;
		position: fixed;
		inset: 0 40% 0 0;
		background-color: rgba(0, 0, 0, 0.92);
		backdrop-filter: blur(4px);
		flex-direction: column;
		gap: 40px;
		padding: 0;
		margin: 0 auto;
		justify-content: center;
		text-align: center;

		transform: translateX(-100%);
		transition: transform 0.3s ease;
	}

	#nav #list li a {
		color: white;
		padding: 14px 18px;
	}

	#nav #list[data-visible="true"] {
		transform: translateX(0%);
	}

	#nav .nav-toggle {
		display: block;
		position: absolute;
		background: url(../img/menu.png);
		background-repeat: no-repeat;
		background-size: 100%;
      	filter: none;
		width: 25px;
		aspect-ratio: 1;
		border: none;
		top: 20px;
		left: 4%;
	}

	#cart-button-area {
		display: block;
		position: absolute;
		top: 16px;
		right: 5%;
	}

	#cart-button-area span {
		position: absolute;
		top: -4px;
		left: -8px;
		color: white;
		background: var(--warning-gradient);
		font-size: 12px;
		border-radius: 10px;
		padding: 0 6px 2px 5px;
	}

	#nav .cart-button {
		background: url(../img/cart.png);
		background-repeat: no-repeat;
		background-size: 100%;
      	filter: none;
		width: 25px;
		aspect-ratio: 1;
		border: none;
	}
	
	#nav .nav-toggle[aria-expanded="true"] {
		background: url(../img/close.png);
		background-repeat: no-repeat;
		background-size: 100%;
		z-index: 6;
		position: fixed;
	}

	#nav-img {
		width: 30px;
		height: 30px;
		background-image: url('../img/logo-big.png');
		margin-left: 14px;
		margin-top: 4px;
	}
  
    #nav #list li:hover ul.dropdown {
     	display: none;
    }

	#nav #list li:hover {
		border-color: transparent;
	}

	#change-language-wrapper {
		right: 22%;
	}

	#change-language {
		padding: 3px 4px;
	}

	#flags img {
		width: 28px;
	}
}

@media screen and (max-width: 630px) {
	#container {
		margin-top: 70px !important;
	}
}

@media screen and (max-width: 570px) {
	#change-language-wrapper {
		right: 20%;
	}

	#flags img {
		width: 24px;
	}
}

@media screen and (max-width: 360px) {
	#change-language-wrapper {
		right: 19%;
	}
}

@media screen and (max-width: 340px) {	
	#announcements {
		font-size: 0.9rem;
	}
}